> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/forms/form/elements.md).

# Elements

Reference documentation for Elements in the Solution Explorer

## Overview

This node contains all existing UI elements of the form, which appear as a list when expanding the `elements` node.

## Commands Summary

A summary of commands available on this item via right-click context menu:

| Command                                       | Summary                                                                            |
| --------------------------------------------- | ---------------------------------------------------------------------------------- |
| [Toggle Form Commands](#toggle-form-commands) | Opens the [Form Editor](/reference/servoy-developer/object-editors/form-editor.md) |
| [Add to working set](#add-to-working-set)     | Adds form to a Working Set                                                         |

## Commands Details

The details for each command available on this item via right-click context menu:

### Toggle Form Commands

Opens the [Form Editor](/reference/servoy-developer/object-editors/form-editor.md). A form has two parts, user interface file and scripting file. In Form Editor you can change the design of the form.

### Add to working set

Add the form to a working set (like a logical folder for that form).

## Contextual List

Here are the item details that appear in the [contextual list](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#overview) and each command available via right-click:

* variable (all variables names existing in the scope):
  * [Move Code](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#move-code)
  * [Move Sample](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#move-sample)
  * [Open in Script Editor](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#open-in-script-editor)
  * [Edit variable](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#edit-variable)
  * [Search for References](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#search-for-references)
  * [Create variable](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#create-variable)
  * [Delete variable](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#delete-variable)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/forms/form/elements.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
